Skip to navigation

Get all entries assigned to a tier

View as Markdown
Return the list of entries assigned to an specific tier

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
ID of the directory
tierIdstringRequiredformat: "uuid"
ID of the tier to return

Query parameters

pageintegerOptional
page number
page_sizeintegerOptional

number of results per page. Defaults to 10. Maximum 150; a larger page_size is capped to 150, not rejected

sortstringOptional

value to order by. Supported values: created, -created, modified, -modified, title, -title, tier, -tier, recommended_order, -recommended_order. Defaults to -created (newest first). Any other value returns 400

Response

Successful operation
hrefstringRead-only
idstringformat: "uuid"
createddatetime
modifieddatetime
headlinestring or null<=250 characters
titlestring<=256 characters
typestring<=100 characters
slugstringformat: "^[-a-zA-Z0-9_]+$"<=60 characters
featuredboolean
statusstring<=256 characters
tierstring or nullformat: "uuid"
recommendedOrderinteger or nullOptional
imagestring or nullOptional
pendingReviewboolean or nullOptional

Errors

400
Bad Request Error
404
Not Found Error